# $Revision: 1.60 $, $Date: 2002/11/18 14:33:21 $
Summary:	unixODBC - a complete, free/open, ODBC solution for UNIX/Linux
Summary(pl):	unixODBC - kompletne, darmowe/otwarte ODBC dla UNIX/Linuksa
Name:		unixODBC
Version:	2.1.1
Release:	5
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.easysoft.com/pub/beta/%{name}/%{name}-%{version}.tar.gz
Source1:	DataManager.desktop
Source2:	ODBCConfig.desktop
Source3:	%{name}.png
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-ac_fix.patch
Patch2:		%{name}-no_libnsl.patch
Patch3:		%{name}-libltdl-shared.patch
Icon:		unixODBC.xpm
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libltdl-devel
BuildRequires:	readline-devel >= 4.2
#BuildRequires:	XFree86-devel
#BuildRequires:	qt-devel >= 2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildConflicts:	kdesupport-odbc
Obsoletes:	libunixODBC2

%define		_sysconfdir	/etc

%description
unixODBC is a complete, free/open, ODBC solution for UNIX/Linux.

%description -l pl
unixODBC - kompletne, darmowe/otwarte ODBC dla systemw UNIX/Linux.

%package devel
Summary:	unixODBC header files and development documentation
Summary(pl):	Pliki nagwkowe i dokunentacja do unixODBC
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	libunixODBC2-devel

%description devel
unixODBC header files and development documentation.

%description devel -l pl
Pliki nagwkowe i dokunentacja do unixODBC.

%package static
Summary:	unixODBC static libraries
Summary(pl):	Biblioteki statyczne unixODBC
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
unixODBC static libraries.

%description static -l pl
Biblioteki statyczne unixODBC.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
rm -f missing config.guess config.sub
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-gui \
	--enable-threads \
	--enable-drivers \
	--enable-shared \
	--enable-static
# GUI requires QT2
#	--enable-gui
#	--with-qt-dir=%{_prefix}
%{__make}

# avoid relinking in some dirs
for f in cur/libodbccr.la samples/libboundparam.la ; do
	sed -e '/^relink_command/d' $f > $f.new
	mv -f $f.new $f
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/System,%{_pixmapsdir}}

%{__make} DESTDIR=$RPM_BUILD_ROOT install

#install %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT%{_applnkdir}/System
#install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}

find doc -name Makefile\* -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
# install text driver
/usr/bin/odbcinst -i -d -r <<EOF
[TXT]
Description = Text file driver
Driver = %{_libdir}/libodbctxt.so
Setup = %{_libdir}/libodbctxtS.so
EOF
# install postgresql driver
/usr/bin/odbcinst -i -d -r <<EOF
[PostgreSQL]
Description = PostgreSQL driver
Driver = %{_libdir}/libodbpsql.so
Setup = %{_libdir}/libodbpsqlS.so
EOF

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS doc/*.html doc/*.gif doc/AdministratorManual doc/UserManual
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%attr(755,root,root) %{_bindir}/*
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/odbc*.ini
#%{_applnkdir}/System/*
#%{_pixmapsdir}/*

%files devel
%defattr(644,root,root,755)
%doc ChangeLog doc/ProgrammerManual
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%attr(644,root,root)
%{_libdir}/lib*.a

%define date 	%(echo `LC_ALL="C"  date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: unixODBC.spec,v $
Revision 1.60  2002/11/18 14:33:21  qboosh
- user and admin manual back to base, programmer left in -devel
- release 5

Revision 1.59  2002/11/18 07:04:51  kloczek
- fixes in %files.

Revision 1.58  2002/11/18 05:59:25  kloczek
- comment also pixmaps.

Revision 1.57  2002/11/17 23:49:23  kloczek
- release 4: commnet install bogus desktop file.

Revision 1.56  2002/10/09 13:14:49  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.55  2002/07/03 09:24:06  wolf
- spelling

Revision 1.54  2002/06/26 20:22:18  kloczek
- use new %doc.

Revision 1.53  2002/05/21 23:14:52  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.52  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.51  2002/02/23 04:55:17  kloczek
- adapterized.

Revision 1.50  2002/02/22 23:29:50  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.49  2002/01/19 22:16:24  qboosh
- BuildRequires: libltdl-devel

Revision 1.48  2002/01/19 17:15:25  qboosh
- libltdl-shared patch: link libodbc with shared libltdl instead of included
  "convenience" copy - that's why php-odbc caused httpd crashes in some cases
- release 3

Revision 1.47  2002/01/18 22:48:31  filon
- chnaged driver name in post section (was 2 times TXT)
- release 2

Revision 1.46  2002/01/18 02:15:15  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.45  2002/01/18 01:45:07  kloczek
- updated to 2.1.1,
- libunixODBC2{,-devel} added to Obsoletes for allow upgrade from MDK,
- removed obsoleted am_fix and added no_libnsl patch (with correct checking is
  gethostbyname() in libnsl),
- typos in files and devel Summary.

Revision 1.44  2002/01/17 22:35:33  filon
- updated to 2.1.0
- updated patches
- added registering drivers in %%post section
- part of am_fix is obsolette, builds without it. Misiek, what's doing this patch?

Revision 1.43  2001/10/15 17:28:23  kloczek
- release 3.

Revision 1.42  2001/10/15 14:47:38  misiek
am fixed

Revision 1.41  2001/09/26 13:31:55  qboosh
- fixed devel -l pl description

Revision 1.40  2001/08/12 19:28:53  qboosh
- added ac 2.5x fixes to ac_fix patch
- avoid relinking in 2 dirs (required already installed unixODBC-devel)
- release 2

Revision 1.39  2001/06/28 11:17:19  kloczek
- updated to 2.0.8.

Revision 1.38  2001/05/19 07:23:17  kloczek
- updated to 2.0.7,
- removed obsoleted patches and added ac_fix patch,
- removed regenerate libtool files (in this version isn't neccessary).

Revision 1.37  2001/05/18 03:24:13  kloczek
- release 4: fixed libtool problems (added no_private_copy_libtool.m4
  patch).

Revision 1.36  2001/05/07 17:15:11  misiek
fixed(?) compilation on sparc; not tested due to broken pdksh(tm)

Revision 1.35  2001/05/07 15:22:22  kloczek
- do not install pixmaps and desktop files - qt GUI is now disabled.

Revision 1.34  2001/05/07 13:51:09  kloczek
- release 3: merge segfault rawhide patch.

Revision 1.33  2001/05/07 13:05:43  baggins
- libtoolize copy, force

Revision 1.32  2001/04/28 05:56:28  kloczek
- updated to 2.0.6.

Revision 1.31  2001/04/13 01:49:24  kloczek
- release 2: rebuild againsr readline 4.2.

Revision 1.30  2001/04/03 15:58:47  kloczek
- typo.

Revision 1.29  2001/04/03 15:41:07  kloczek
- added package icon for package and desktop files.

Revision 1.28  2001/04/03 15:36:06  kloczek
- updated to 2.0.5.

Revision 1.27  2001/03/13 21:23:58  baggins
- removed _prefix definition

Revision 1.26  2001/02/13 14:22:02  kloczek
- release 2.

Revision 1.25  2001/02/13 02:25:57  qboosh
- BuildRequires: readline-devel

Revision 1.24  2001/02/07 14:23:47  kloczek
- updated to 2.0.4.

Revision 1.23  2001/01/17 11:43:27  kloczek
- added am1.4b-fixes patch for building in automake 1.4b enviroment.

Revision 1.22  2001/01/15 00:12:16  kloczek
- updated to 2.0.3.

Revision 1.21  2001/01/07 16:53:41  kloczek
- updated to 2.0.1.

Revision 1.20  2001/01/04 20:43:27  kloczek
- updated to 2.0.0.

Revision 1.19  2000/12/07 11:20:14  agaran
$log fixed

* Thu Nov 18 1999 Wojciech "Sas" Ciciwa <cieciwa@alpha.zarz.agh.edu.pl>
- build RPM.
